summaryrefslogtreecommitdiffstats
path: root/client/shared/lib/os-probes/mounted/80minix
diff options
context:
space:
mode:
Diffstat (limited to 'client/shared/lib/os-probes/mounted/80minix')
-rwxr-xr-xclient/shared/lib/os-probes/mounted/80minix28
1 files changed, 28 insertions, 0 deletions
diff --git a/client/shared/lib/os-probes/mounted/80minix b/client/shared/lib/os-probes/mounted/80minix
new file mode 100755
index 00000000..e01f6695
--- /dev/null
+++ b/client/shared/lib/os-probes/mounted/80minix
@@ -0,0 +1,28 @@
+#!/bin/sh
+set -e
+
+. /usr/share/os-prober/common.sh
+
+partition="$1"
+dir="$2"
+type="$3"
+
+# Weed out stuff that doesn't apply to us
+case "$type" in
+ minix|minix2|ext2) ;;
+ *) exit 1 ;;
+esac
+
+if [ -f "$dir/minix" ] || [ -e "$dir/boot/image_big" ]; then
+ if [ -e "$dir/boot/image_latest" ]; then
+ boot="minix"
+ else
+ boot="chain"
+ fi
+
+ label="$(count_next_label Minix)"
+ result "$partition:Minix:$label:$boot"
+ exit 0
+else
+ exit 1
+fi